org.jboss.jca.validator

## Class ValidateClass

- java.lang.Object
- - org.jboss.jca.validator.ValidateClass

- All Implemented Interfaces:
    Validate
  Direct Known Subclasses:
    ValidateObject

      public class ValidateClass
      extends java.lang.Object
      implements Validate

  ValidateClass for objects that should be validated

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidateClass(Key key, java.lang.Class<?> clazz)` Constructor
    `ValidateClass(Key key, java.lang.Class<?> clazz, java.util.List<? extends org.jboss.jca.common.api.metadata.spec.ConfigProperty> configProperties)` Constructor
    `ValidateClass(Key key, java.lang.String className, java.lang.ClassLoader cl, java.util.List<? extends org.jboss.jca.common.api.metadata.spec.ConfigProperty> configProperties)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.ClassLoader` | `getClassLoader()` Get the class loader.
    `java.lang.String` | `getClassName()` Get the class name.
    `java.lang.Class<?>` | `getClazz()` Get the clazz
    `java.util.List<? extends org.jboss.jca.common.api.metadata.spec.ConfigProperty>` | `getConfigProperties()` Get the list of config properties
    `Key` | `getKey()` Get the key

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidateClass

          public ValidateClass(Key key,
                               java.lang.Class<?> clazz)

      Constructor
      Parameters:
        `key` - The key
        `clazz` - The class

    - #### ValidateClass

          public ValidateClass(Key key,
                               java.lang.Class<?> clazz,
                               java.util.List<? extends org.jboss.jca.common.api.metadata.spec.ConfigProperty> configProperties)

      Constructor
      Parameters:
        `key` - The key
        `clazz` - The class
        `configProperties` - The list of config property metadata

    - #### ValidateClass

          public ValidateClass(Key key,
                               java.lang.String className,
                               java.lang.ClassLoader cl,
                               java.util.List<? extends org.jboss.jca.common.api.metadata.spec.ConfigProperty> configProperties)

      Constructor
      Parameters:
        `key` - The key
        `className` - The class
        `cl` - the class loader used to load class
        `configProperties` - The list of config property metadata

  - ### Method Detail

    - #### getKey

          public Key getKey()

      Get the key
      Specified by:
        `getKey` in interface `Validate`
      Returns:
        The key

    - #### getClazz

          public java.lang.Class<?> getClazz()

      Get the clazz
      Specified by:
        `getClazz` in interface `Validate`
      Returns:
        The clazz

    - #### getConfigProperties

          public java.util.List<? extends org.jboss.jca.common.api.metadata.spec.ConfigProperty> getConfigProperties()

      Get the list of config properties
      Returns:
        The list

    - #### getClassName

          public java.lang.String getClassName()

      Get the class name. This property is set if a class can't be resolved
      Returns:
        The value

    - #### getClassLoader

          public java.lang.ClassLoader getClassLoader()

      Get the class loader. This property is set if a class can't be resolved
      Returns:
        The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)